/**
 * Created by root on 11/29/14.
 */

$(function(){

    var ue = UE.getEditor('editor',{
        initialFrameHeight:110,
        wordCount:false,
        toolbars: [['bold', 'forecolor', 'backcolor', 'link', 'emotion', 'image', 'attachment']]
    });

     $('#id_captcha').focus(function(){
        var img = $('.captcha-img img');
        if(!img.attr('src')){
            img.attr({'src': img.data('src')}).show().click(function(){
                $(this).attr({'src': img.data('src')+"?v="+Math.random()})
            });
        }
    });
    var form = $('#post-form');
    $('#id_captcha', form).keyup(function(){
        $(this).parents('.row:eq(0)').find('.text-danger').remove();
    });


    //回复
    $('.post-list .reply').click(function(){
        var id = $(this).data('post');
        $.ajax({
            type: "GET",
            dataType:'json',
            contentType:'application/json;charset=UTF-8',
            url: GV.REPLY,
            data: {id:id},
            success: function(data){
                $('#reply-edit').html("<button type='button' class='close'><span aria-hidden='true'>&times;</span><span class='sr-only'>Close</span></button>"+data.body+"<br><small><a target='_blank'  href='"+data.url+"'><font color='#999999'>"+data.user+" 发表于 "+data.date+"</font></a></small>").show();
                $('#post-form input[name=reply]').val(id);
                $.goto('post-form');
                ue.focus();
            }
        });
    });
    var user_info_time = null;
    $('.post-list .up, .post-new .up, .topic_comment_user .up, .psta .up').mouseenter(function(){
        clearTimeout(user_info_time);
        user_info_time = setTimeout(jQuery.proxy(function(){
            $('.user_pop').hide();
            $(this).parent('a').siblings('.user_pop').show();
        }, this), 500)

    });
    $('.user_pop').mouseleave(function(){
        clearTimeout(user_info_time);
        $(this).hide();
    })


    $(document).on("click", "#reply-edit .close", function(){
        $('#post-form input[name=reply]').val(GV.TOPIC);
        $('#reply-edit').hide().html('');
    });
    //end回复




    form.submit(function(){
        if(!ue.hasContents()){
            ue.focus();
            $('.margin-bottom-10', $(this)).find('.text-danger').remove();
            $('.margin-bottom-10', $(this)).append('<div class="text-danger">请输入内容</div>');
            return false;
        };

        var captcha_element = $('#id_captcha', $(this));
        if(!captcha_element.val().length){
            captcha_element.focus().keyup();
            captcha_element.parents('.row:eq(0)').append('<div class="col-xs-12 text-danger">验证码不能为空</div>');
            return false;
        };
    })

})