# -*- coding: utf-8 -*-

from __future__ import unicode_literals
import os.path

from django.conf import settings
from django.contrib.auth import get_user_model
from django.core.urlresolvers import reverse

AUTH_USER_MODEL = get_user_model()
URL_EXP = getattr(settings, 'URL_EXP', '/')

#登陆错误次数,超过出现验证码, 0：每次都需要验证码, -1:永远不需要验证码
LOGIN_ERROR = getattr(settings, 'LOGIN_ERROR', -1)

IS_LOGIN_CAPTCHA = lambda s: False if LOGIN_ERROR == -1 else True if LOGIN_ERROR ==0 else True if LOGIN_ERROR <= s else False


PYBB_ATTACHMENT_UPLOAD_TO = getattr(settings, 'PYBB_ATTACHMENT_UPLOAD_TO', os.path.join('pybb_upload', 'attachments'))


USERENA_REMEMBER_ME_DAYS = getattr(settings, 'USERENA_REMEMBER_ME_DAYS', 30) * 86400
PAGE_SIZE = getattr(settings, 'PAGE_SIZE', 10)