from setuptools import setup, find_packages

PACKAGE = "bbs"
NAME = "django-bbs"
DESCRIPTION = "Django forum application"
AUTHOR = "neo hu"
AUTHOR_EMAIL = "9656951@qq.com"
URL = "https://neohu.sinaapp.com"
VERSION = "0.0.1"

setup(
    name=NAME,
    version=VERSION,
    description=DESCRIPTION,
    long_description = open('README').read(),
    author = AUTHOR,
    author_email = AUTHOR_EMAIL,
    url = URL,

    packages = find_packages(),
    include_package_data = True,
    install_requires = ['Django==1.6.6', 'django-tastypie==0.12.1'],

    license = "BSD",
    keywords = "django forum ",
    classifiers=[
        'Development Status :: 4 - Beta',
        'Environment :: Web Environment',
        'Framework :: Django',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Topic :: Internet :: WWW/HTTP :: Dynamic Content :: Message Boards',
        'Topic :: Software Development :: Libraries :: Python Modules',
    ],
)